Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5564 - Users using RXVT, gnome-terminal, Eterm and KVT are NOT shown under who or w command
Summary: Users using RXVT, gnome-terminal, Eterm and KVT are NOT shown under who or w ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rxvt
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-05 05:57 UTC by mbartsch
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-14 02:55:19 UTC


Attachments (Terms of Use)

Description mbartsch 1999-10-05 05:57:42 UTC
i assigned it under rxvt, maybe it is a utemper or glibc
problem, but as i don't had more information i just put it
under rxvt...

under Lorax 6.0.55 when you use a Eterm or gnome-terminal,
and you use who or w command, you can see what PTY you had
assigned, under 6.1 (Update From 6.0.55) the didn't
show up, but PTY are allocated.

[synflood@ENDOR RPMS]$ ls -al /dev/pts/
total 36
drwxr-xr-x   2 root     root            0 Oct  5 01:06 .
drwxr-xr-x   5 root     root        36864 Oct  5 01:06 ..
crw--w----   1 synflood tty      136,   0 Oct  5 01:54 0
crw--w----   1 synflood tty      136,   1 Oct  5 01:54 1
but who or w only shows the users at the VT's not the PTY's

[synflood@ENDOR RPMS]$ w
  1:55am  up 49 min,  2 users,  load average: 0.10, 0.30,
0.47
USER     TTY      FROM              LOGIN@   IDLE   JCPU
PCPU  WHAT
root     tty1     -                 1:06am 20:09   0.12s
0.11s  -bash
synflood tty2     -                 1:06am 47:26  47.45s
0.01s  startx

Any comment please e-mail me for more details..

Comment 1 Preston Brown 2000-01-14 02:55:59 UTC
these terminals need to be explicitly told to make utmp entries.  For instance,
on gnome-terminal, do

gnome-terminal --utmp


Note You need to log in before you can comment on or make changes to this bug.